package sdk

import (
	"encoding/json"
)

//运费模板添加
func (c *Client) AddFreight(req map[string]interface{}) (res *AddFreightRes, err error) {
	method := "/local/freight"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//运费模板更新
func (c *Client) UpdateFreight(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/freight"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Patch(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//运费模板删除 //
func (c *Client) DeleteFreight(req map[string]interface{}) (res *commonRes, err error) {
	method := "/local/freight"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.DELETE(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//运费模板列表 //
func (c *Client) GetFreightList(req map[string]interface{}) (res *GetFreightListRes, err error) {
	method := "/local/freight"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//运费模板详情 //
func (c *Client) GetFreightInfo(req map[string]interface{}) (res *GetFreightInfoRes, err error) {
	method := "/local/freight/:Id"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}
