package sdk

type GetFreightInfoRes struct {
	commonRes
	Data struct {
		Info FreightInfo `json:"info"`
	} `json:"data"`
}
type GetFreightListRes struct {
	commonRes
	Data struct {
		Count int           `json:"count"`
		List  []FreightInfo `json:"list"`
	} `json:"data"`
}
type AddFreightRes struct {
	commonRes
	Data struct {
		FreightId int `json:"freight_id"`
	} `json:"data"`
}

type FreightInfo struct {
	Id          int    `json:"id"`
	SellerId    int    `json:"seller_id"`
	Name        string `json:"name"`
	Sort        int    `json:"sort"`
	IsDefault   int    `json:"is_default"`
	ChargeType  int    `json:"charge_type"`
	Dispatching []struct {
		A  string `json:"a"`
		F  int    `json:"f"`
		Fp int    `json:"fp"`
		N  int    `json:"n"`
		Np int    `json:"np"`
	} `json:"dispatching"`
	DisDispatching string `json:"dis_dispatching"`
	Publish        int    `json:"publish"`
	Created        int    `json:"created"`
	Modified       int    `json:"modified"`
}
