package sdk

import "encoding/json"
//店铺商家

//保存店铺
func (c *Client)SaveShopInfo(req map[string]interface{})(res *commonRes, err error)  {
	method := "/local/shop/info"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//获取店铺信息
func (c *Client)GetShopInfo(req map[string]interface{})(res *ShopInfoRes, err error)  {
	method := "/local/shop/info"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//审核店铺
func (c *Client) CheckSeller(req map[string]interface{})(res *commonRes, err error) {
	method := "/local/sys/seller/apply"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//sys商家列表
func (c *Client)GetSellerList(req map[string]interface{})(res *GetSellerListRes, err error)  {
	method := "/local/sys/shop/info"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//获取商家审核列表
func (c *Client)GetSellerApplyList(req map[string]interface{})(res *GetSellerApplyListRes, err error)  {
	method := "/local/sys/seller/apply"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//商户权限设置
func (c *Client)SetShopAuth(req map[string]interface{})(res *commonRes, err error)  {
	method := "/local/SetShopAuth"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//入驻类目资质列表
func (c *Client)GetQualificationList(req map[string]interface{})(res *GetQualificationListRes, err error)  {
	method := "/local/qualification/list"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Get(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//商户渠道修改
func (c *Client)UpdateSellerChannel(req map[string]interface{})(res *commonRes, err error)  {
	method := "/local/seller/updateSellerChannel"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}

//通过商户id批量获取店铺名称
func (c *Client)GetSellerById(req map[string]interface{})(res *GetSellerByIdRes, err error)  {
	method := "/local/seller/getSellerById"
	param := req
	data, _ := json.Marshal(param)
	resData, err := c.Post(method, string(data))
	if err != nil {
		return
	}
	err = json.Unmarshal(resData, &res)
	return
}












